D-Bus: DBusPendingCall Struct Reference

D-Bus 1.16.2

Data Fields
DBusPendingCall Struct Reference
D-Bus secret internal implementation details » DBusPendingCall implementation details

Implementation details of DBusPendingCall - all fields are private. More...

## Data Fields
DBusAtomic | refcount
| reference count
DBusDataSlotList | slot_list
| Data stored by allocated integer ID.
DBusPendingCallNotifyFunction | function
| Notifier when reply arrives.
DBusConnection * | connection
| Connections we're associated with.
DBusMessage * | reply
| Reply (after we've received it).
DBusTimeout * | timeout
| Timeout.
DBusList * | timeout_link
| Preallocated timeout response.
dbus_uint32_t | reply_serial
| Expected serial of reply.
unsigned int | completed: 1
| TRUE if some thread has taken responsibility for completing this pending call: either the pending call has completed, or it is about to be completed.
unsigned int | timeout_added: 1
| TRUE if we have added the timeout.

## Detailed Description

Implementation details of DBusPendingCall - all fields are private.

Definition at line 64 of file dbus-pending-call.c.

## Field Documentation

## ◆ completed

unsigned int DBusPendingCall::completed

TRUE if some thread has taken responsibility for completing this pending call: either the pending call has completed, or it is about to be completed.

Protected by the connection lock.

Definition at line 85 of file dbus-pending-call.c.

Referenced by _dbus_pending_call_finish_completion(), _dbus_pending_call_get_completed_unlocked(), _dbus_pending_call_start_completion_unlocked(), dbus_pending_call_get_completed(), and dbus_pending_call_steal_reply().

## ◆ connection

DBusConnection* DBusPendingCall::connection

Connections we're associated with.

Definition at line 72 of file dbus-pending-call.c.

Referenced by _dbus_pending_call_get_connection_and_lock(), _dbus_pending_call_get_connection_unlocked(), _dbus_pending_call_new_unlocked(), _dbus_pending_call_queue_timeout_error_unlocked(), _dbus_pending_call_set_data_unlocked(), _dbus_pending_call_unref_and_unlock(), dbus_pending_call_cancel(), dbus_pending_call_get_completed(), dbus_pending_call_get_data(), dbus_pending_call_set_data(), dbus_pending_call_set_notify(), and dbus_pending_call_steal_reply().

## ◆ function

DBusPendingCallNotifyFunction DBusPendingCall::function

Notifier when reply arrives.

Definition at line 70 of file dbus-pending-call.c.

Referenced by _dbus_pending_call_finish_completion(), and dbus_pending_call_set_notify().

## ◆ refcount

DBusAtomic DBusPendingCall::refcount

reference count

Definition at line 66 of file dbus-pending-call.c.

Referenced by _dbus_pending_call_new_unlocked(), _dbus_pending_call_ref_unlocked(), _dbus_pending_call_unref_and_unlock(), dbus_pending_call_ref(), and dbus_pending_call_unref().

## ◆ reply

DBusMessage* DBusPendingCall::reply

Reply (after we've received it).

Definition at line 73 of file dbus-pending-call.c.

Referenced by _dbus_pending_call_set_reply_unlocked(), and dbus_pending_call_steal_reply().

## ◆ reply_serial

dbus_uint32_t DBusPendingCall::reply_serial

Expected serial of reply.

Definition at line 78 of file dbus-pending-call.c.

Referenced by _dbus_pending_call_get_reply_serial_unlocked(), _dbus_pending_call_set_reply_serial_unlocked(), and _dbus_pending_call_set_reply_unlocked().

## ◆ slot_list

DBusDataSlotList DBusPendingCall::slot_list

Data stored by allocated integer ID.

Definition at line 68 of file dbus-pending-call.c.

Referenced by _dbus_pending_call_new_unlocked(), _dbus_pending_call_set_data_unlocked(), and dbus_pending_call_get_data().

## ◆ timeout

DBusTimeout* DBusPendingCall::timeout

Timeout.

Definition at line 74 of file dbus-pending-call.c.

Referenced by _dbus_pending_call_get_timeout_unlocked(), and _dbus_pending_call_new_unlocked().

## ◆ timeout_added

unsigned int DBusPendingCall::timeout_added

TRUE if we have added the timeout.

Protected by the connection lock.

Definition at line 89 of file dbus-pending-call.c.

Referenced by _dbus_pending_call_is_timeout_added_unlocked(), and _dbus_pending_call_set_timeout_added_unlocked().

## ◆ timeout_link

DBusList* DBusPendingCall::timeout_link

Preallocated timeout response.

Definition at line 76 of file dbus-pending-call.c.

Referenced by _dbus_pending_call_queue_timeout_error_unlocked(), _dbus_pending_call_set_reply_unlocked(), and _dbus_pending_call_set_timeout_error_unlocked().

The documentation for this struct was generated from the following file:

- dbus-pending-call.c